ColorMapEditor Class Reference

A complex widget allowing to customize a QwtLinearColorMap. More...

`#include <ColorMapEditor.h>`

Inheritance diagram for ColorMapEditor:

## Signals

void | scalingChanged ()

## Public Member Functions

LinearColorMap | colorMap ()
| Returns the customized color map. More...
| ColorMapEditor (const QLocale &locale=QLocale::system(), int precision=6, QWidget *parent=0)
| Constructor. More...
void | setColorMap (const LinearColorMap &map)
| Use this function to initialize the color map to be edited. More...
void | setRange (double min, double max)
| Use this function to initialize the values range. More...

## Protected Slots

void | deleteLevel ()
void | enableButtons (int row)
bool | eventFilter (QObject *object, QEvent *e)
void | insertLevel ()
void | setScaledColors (bool scale=true)
void | showColorDialog (int row, int col)
void | spinBoxActivated (DoubleSpinBox *)
void | updateColorMap ()
void | updateLowerRangeLimit (double)
void | updateUpperRangeLimit (double)

## Private Attributes

LinearColorMap | color_map
| Color map object. More...
QLocale | d_locale
| Locale settings used to display level values. More...
int | d_precision
| Precision used to display level values. More...
QPushButton * | deleteBtn
QPushButton * | insertBtn
double | max_val
double | min_val
| Levels range. More...
QCheckBox * | scaleColorsBox
QTableWidget * | table
| Table displaying the values ranges in the first column and their corresponding colors in the second column. More...

## Detailed Description

A complex widget allowing to customize a QwtLinearColorMap.

It uses a QTableWidget to display the values in one column and their corresponding colors in a second column. A click on a table color pops-up a QColorDialog allowing to customize it.

## Constructor & Destructor Documentation

## ColorMapEditor()

ColorMapEditor::ColorMapEditor | ( | const QLocale & | locale = `QLocale::system()`,
|  | int | precision = `6`,
|  | QWidget * | parent = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget (only affects placement of the widget)

References deleteBtn, deleteLevel(), insertBtn, insertLevel(), scaleColorsBox, setScaledColors(), showColorDialog(), and table.

## Member Function Documentation

## colorMap()

LinearColorMap ColorMapEditor::colorMap | ( |  | ) |

inline

Returns the customized color map.

References color_map, deleteLevel(), enableButtons(), eventFilter(), insertLevel(), min, scalingChanged(), setColorMap(), setRange(), setScaledColors(), showColorDialog(), spinBoxActivated(), updateColorMap(), updateLowerRangeLimit(), and updateUpperRangeLimit().

Referenced by PlotDialog::acceptParams(), ColorMapDialog::apply(), ConfigDialog::apply(), and Plot3DDialog::updatePlot().

## deleteLevel

void ColorMapEditor::deleteLevel | ( |  | ) |

protected slot

References enableButtons(), table, and updateColorMap().

Referenced by colorMap(), and ColorMapEditor().

## enableButtons

void ColorMapEditor::enableButtons | ( | int | row | ) |

protected slot

References deleteBtn, insertBtn, and table.

Referenced by colorMap(), deleteLevel(), insertLevel(), showColorDialog(), and spinBoxActivated().

## eventFilter

bool ColorMapEditor::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

protected slot

References showColorDialog(), and table.

Referenced by colorMap().

## insertLevel

void ColorMapEditor::insertLevel | ( |  | ) |

protected slot

References color_map, d_locale, d_precision, enableButtons(), max_val, min_val, DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), DoubleSpinBox::setValue(), spinBoxActivated(), table, updateColorMap(), and DoubleSpinBox::value().

Referenced by colorMap(), and ColorMapEditor().

## scalingChanged

void ColorMapEditor::scalingChanged | ( |  | ) |

signal

Referenced by colorMap(), and setScaledColors().

## setColorMap()

void ColorMapEditor::setColorMap | ( | const LinearColorMap & | map | ) |

Use this function to initialize the color map to be edited.

References color_map, d_locale, d_precision, LinearColorMap::intensityRange(), max_val, min_val, scaleColorsBox, DoubleSpinBox::setDecimals(), DoubleSpinBox::setPrefix(), DoubleSpinBox::setRange(), DoubleSpinBox::setValue(), spinBoxActivated(), table, updateColorMap(), updateLowerRangeLimit(), and updateUpperRangeLimit().

Referenced by PlotDialog::acceptParams(), colorMap(), ConfigDialog::initPlots3DPage(), PlotDialog::setActiveCurve(), ConfigDialog::setApplication(), ColorMapDialog::setMatrix(), and Plot3DDialog::setPlot().

## setRange()

void ColorMapEditor::setRange | ( | double | min,
|  | double | max
| ) |  |

Use this function to initialize the values range.

References max_val, and min_val.

Referenced by colorMap(), PlotDialog::setActiveCurve(), ColorMapDialog::setMatrix(), and Plot3DDialog::setPlot().

## setScaledColors

void ColorMapEditor::setScaledColors | ( | bool | scale = `true` | ) |

protected slot

References color_map, and scalingChanged().

Referenced by colorMap(), ColorMapEditor(), and updateColorMap().

## showColorDialog

void ColorMapEditor::showColorDialog | ( | int | row,
|  | int | col
| ) |  |

protected slot

References enableButtons(), table, and updateColorMap().

Referenced by colorMap(), ColorMapEditor(), and eventFilter().

## spinBoxActivated

void ColorMapEditor::spinBoxActivated | ( | DoubleSpinBox * | sb | ) |

protected slot

References enableButtons(), and table.

Referenced by colorMap(), insertLevel(), and setColorMap().

## updateColorMap

void ColorMapEditor::updateColorMap | ( |  | ) |

protected slot

References color_map, max_val, min_val, scaleColorsBox, setScaledColors(), and table.

Referenced by colorMap(), deleteLevel(), insertLevel(), setColorMap(), and showColorDialog().

## updateLowerRangeLimit

void ColorMapEditor::updateLowerRangeLimit | ( | double | val | ) |

protected slot

References d_locale, min_val, DoubleSpinBox::setMinimum(), DoubleSpinBox::setRange(), DoubleSpinBox::setValue(), and table.

Referenced by colorMap(), and setColorMap().

## updateUpperRangeLimit

void ColorMapEditor::updateUpperRangeLimit | ( | double | val | ) |

protected slot

References max_val, DoubleSpinBox::setMaximum(), and table.

Referenced by colorMap(), and setColorMap().

## Member Data Documentation

## color_map

LinearColorMap ColorMapEditor::color_map

private

Color map object.

Referenced by colorMap(), insertLevel(), setColorMap(), setScaledColors(), and updateColorMap().

## d_locale

QLocale ColorMapEditor::d_locale

private

Locale settings used to display level values.

Referenced by insertLevel(), setColorMap(), and updateLowerRangeLimit().

## d_precision

int ColorMapEditor::d_precision

private

Precision used to display level values.

Referenced by insertLevel(), and setColorMap().

## deleteBtn

QPushButton * ColorMapEditor::deleteBtn

private

Referenced by ColorMapEditor(), and enableButtons().

## insertBtn

QPushButton* ColorMapEditor::insertBtn

private

Referenced by ColorMapEditor(), and enableButtons().

## max_val

double ColorMapEditor::max_val

private

Referenced by insertLevel(), setColorMap(), setRange(), updateColorMap(), and updateUpperRangeLimit().

## min_val

double ColorMapEditor::min_val

private

Levels range.

Referenced by insertLevel(), setColorMap(), setRange(), updateColorMap(), and updateLowerRangeLimit().

## scaleColorsBox

QCheckBox* ColorMapEditor::scaleColorsBox

private

Referenced by ColorMapEditor(), setColorMap(), and updateColorMap().

## table

QTableWidget* ColorMapEditor::table

private

Table displaying the values ranges in the first column and their corresponding colors in the second column.

Referenced by ColorMapEditor(), deleteLevel(), enableButtons(), eventFilter(), insertLevel(), setColorMap(), showColorDialog(), spinBoxActivated(), updateColorMap(), updateLowerRangeLimit(), and updateUpperRangeLimit().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/ColorMapEditor.h
- qtiplot/src/lib/src/ColorMapEditor.cpp